Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036171
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorN/A2017-06-02 13:092018-06-26 11:42
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision264924b5476d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036171: API Break on Purchase Order Report Modifications project

DescriptionAPI Break when removing legacy "Purchase Order Report" (Report and Process) Application Dictionary stuff due to a refactor to "Process Definition".

AD_Process and AD_Process_Para records related to old report will be removed.

The only possible risk is by external modules that add references to any of these AD_Process or AD_Process_Para records.
After a "grep" in published modules, only sampledata related modules are affected by this change, so the risk seems to be very limited.


org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
org.openbravo.retail.sampledata/referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml: <AD_PROCESS_ID><![CDATA[800171]]></AD_PROCESS_ID>
Steps To ReproduceNA
Proposed SolutionPlease note that we have changed the approach compared to 0035718, we now delete (instead of deactivate) these records.
TagsApproved
Attached Filesdiff file icon 36171_export.diff [^] (12,518 bytes) 2017-06-02 13:36 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035718 closedairaceburu API Break on Purchase Order Report Modifications project (try-api 4815) 
blocks defect 0036170 closedmarkmm82 Improvements in GrantAccessToProcessDefinition module script to fix CI inestability 

-  Notes
(0097538)
hgbot (developer)
2017-06-20 20:09

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: eb8dc0bc496995f6ee8bf0ab0ed94634d22483f7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jun 20 14:29:22 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/eb8dc0bc496995f6ee8bf0ab0ed94634d22483f7 [^]

Related to issue 36171: Remove access to old Purchase Order Report in Retail Test client

---
M referencedata/sampledata/Retail_Test/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/Retail_Test/OBUIAPP_PROCESS_ACCESS.xml
---
(0097575)
hgbot (developer)
2017-06-22 09:09

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 5efe2b615c71f8551876173bf0d75361af56155b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 19 10:11:30 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/5efe2b615c71f8551876173bf0d75361af56155b [^]

Related to issue 36171: Remove access to old Purchase Order Report in The White Valley Group client

---
M referencedata/sampledata/The_White_Valley_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/The_White_Valley_Group/OBUIAPP_PROCESS_ACCESS.xml
---
(0097576)
hgbot (developer)
2017-06-22 09:54

Repository: erp/devel/api-checks
Changeset: a40402aaa56f4f493d47d224c8ede4e05cee68de
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Jun 22 09:54:03 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/a40402aaa56f4f493d47d224c8ede4e05cee68de [^]

Related to issue 36171: API change for issue 36171

---
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_PROCESS_PARA.xml
---
(0097577)
hgbot (developer)
2017-06-22 09:55

Repository: erp/devel/pi
Changeset: 264924b5476da86da777ccf310cb3cba4ef068da
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Jun 02 13:38:20 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/264924b5476da86da777ccf310cb3cba4ef068da [^]

Fixed bug 36171: Deleted old Purchase Order Report AD stuff

---
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
---
(0097580)
aferraz (developer)
2017-06-22 10:30

Code review OK
(0097581)
aferraz (developer)
2017-06-22 10:31

API Change PR17Q3.6:
http://wiki.openbravo.com/wiki/API_changes#PI [^]
(0097588)
hudsonbot (developer)
2017-06-22 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5c04856de700 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-02 13:09 vmromanos New Issue
2017-06-02 13:09 vmromanos Assigned To => airaceburu
2017-06-02 13:09 vmromanos Modules => Core
2017-06-02 13:09 vmromanos Triggers an Emergency Pack => No
2017-06-02 13:09 vmromanos Issue generated from 0035718
2017-06-02 13:09 vmromanos Relationship added related to 0035718
2017-06-02 13:09 vmromanos Relationship added blocks 0036170
2017-06-02 13:10 vmromanos Assigned To airaceburu => Triage Finance
2017-06-02 13:30 vmromanos File Added: 36171.diff
2017-06-02 13:36 vmromanos File Deleted: 36171.diff
2017-06-02 13:36 vmromanos File Added: 36171_export.diff
2017-06-15 15:25 dmitry_mezentsev Tag Attached: Approved
2017-06-20 20:09 hgbot Checkin
2017-06-20 20:09 hgbot Note Added: 0097538
2017-06-21 19:34 aferraz Assigned To Triage Finance => aferraz
2017-06-22 09:09 hgbot Checkin
2017-06-22 09:09 hgbot Note Added: 0097575
2017-06-22 09:54 hgbot Checkin
2017-06-22 09:54 hgbot Note Added: 0097576
2017-06-22 09:55 hgbot Checkin
2017-06-22 09:55 hgbot Note Added: 0097577
2017-06-22 09:55 hgbot Status new => resolved
2017-06-22 09:55 hgbot Resolution open => fixed
2017-06-22 09:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/264924b5476da86da777ccf310cb3cba4ef068da [^]
2017-06-22 10:00 aferraz Assigned To aferraz => vmromanos
2017-06-22 10:30 aferraz Review Assigned To => aferraz
2017-06-22 10:30 aferraz Note Added: 0097580
2017-06-22 10:30 aferraz Status resolved => closed
2017-06-22 10:30 aferraz Fixed in Version => 3.0PR17Q3
2017-06-22 10:31 aferraz Note Added: 0097581
2017-06-22 15:16 hudsonbot Checkin
2017-06-22 15:16 hudsonbot Note Added: 0097588
2018-06-26 11:30 hgbot Checkin
2018-06-26 11:30 hgbot Note Added: 0105384
2018-06-26 11:42 hgbot Checkin
2018-06-26 11:42 hgbot Note Added: 0105422
2018-06-26 13:57 gorka_gil Note Deleted: 0105384
2018-06-26 13:57 gorka_gil Note Deleted: 0105422


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker